Subject: bug#20190: Building emacs-24.4 against GCC-5.0

From: Petr Hracek <[email-masked]>
Date: Thu, 26 Mar 2015 16:06:16 +0100

On 03/25/2015 08:24 PM, Paul Eggert wrote:
> On 03/25/2015 05:27 AM, Petr Hracek wrote:
>> Starting program: /builddir/build/BUILD/emacs-24.5/src/temacs --batch 
>> --load loadup bootstrap
>> Error in re-setting breakpoint 1: Cannot access memory at address 
>> 0x17a563
>> Error in re-setting breakpoint 2: Cannot access memory at address 
>> 0x19f9ef 
>
> This makes it look like there's something wrong with your compiler, 
> linker, or debugger.  At this point Emacs should just be a normal C 
> program, and there should be no errors in setting breakpoints.
>
> I suggest comparing the output of 'configure' and 'make' and 'gdb' 
> with that of Fedora 21, to see if there are some options missing or 
> extra.  I'm attaching my output.  For example, look at the command 
> that created temacs (it's long, and says '-o temacs' in it).
>
> Also, you might want to look at Debian bug 684788 for 
> possibly-relevant ideas:
>
> http://bugs.debian.org/684788
Finally I have found an issue.

If I specify in LDFLAGS file like -spec=<some_file> which contains:
<some_file>
*self_spec:
+ %{!shared:-pie}

*link:
+ -z now

Then the build fails.
If I remove it then all goes fine.

Just for information.

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]